using WingInterfaceLibrary.LiveConsultation;

namespace WingLiveConsultationService
{
    public class LiveConsultationRoomStatusArgs : EventArgs
    {   
        /// <summary>
        /// The old diagnosis room status
        /// </summary>
        /// <value></value>
        public LiveConsultationRoomStatus OldStatus { get; }

        /// <summary>
        /// The new diagnosis room status
        /// </summary>
        /// <value></value>
        public LiveConsultationRoomStatus NewStatus { get; }    
        public LiveConsultationRoomStatusArgs(LiveConsultationRoomStatus oldStatus, LiveConsultationRoomStatus newStatus)
        {
            OldStatus = oldStatus;
            NewStatus = newStatus;
        }        
    }
}
